NNG_RANDOM(3supp)

NAME
nng_random - get random number

SYNOPSIS

    #include <nng/nng.h>
    uint32_t nng_random(void);

DESCRIPTION

The nng_random() returns a random number. The value is obtained using platform specific cryptographically strong random number facilities when available.

RETURN VALUES

Random number.

ERRORS

None.

SEE ALSO

nng(7)